Skip to main content
GET
/
api
/
v2
/
tokens
/
{tokenId}
/
price
GET /api/v2/tokens/:tokenId/price — Lightweight price endpoint
curl --request GET \
  --url https://api.shuriken.trade/api/v2/tokens/{tokenId}/price \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "decimals": 1,
    "tokenId": "<string>",
    "priceUsd": 123
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tokenId
string
required

Token ID in chain:address format

Response

Token price

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info